using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial interface IDT_CONVERSATIONService
    {
		#region CRUD de la table DT_CONVERSATION
		Task<bool> Create_Async(DT_CONVERSATION_DTO dt_conversation);
		Task<bool> Update_Async(Guid ID_CONVERSATION, DT_CONVERSATION_DTO dt_conversation);
		Task<bool> Delete_Async(Guid ID_CONVERSATION);
		Task<IEnumerable<DT_CONVERSATION_DTO>> GetAll_Async(bool IsActifOnly=false);
		Task<DT_CONVERSATION_DTO?> GetById_Async(Guid ID_CONVERSATION);
		#endregion

		#region By_ID_WORK_FORCE
		Task<IEnumerable<DT_CONVERSATION_DTO>> GetAll_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		Task<int> GetCount_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		Task<bool> Delete_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		#endregion



    }
}
